2018-05-22 10:49 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002365FSSCPtablespublic2011-01-06 00:08
Reporterchief1983 
Assigned Tochief1983 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformx86-64OSWindows 7OS VersionProfessional
Product VersionAntipodes 8 
Target VersionFixed in Version3.6.13 
Summary0002365: ASSERTION: "ti->texture.bitmap_id != -1" at trails.cpp:203
DescriptionTurns out, just missing a missile trail bitmap can lead to a crash in debug builds. It plays through fine without it though, so I think we don't need to Assert this, perhaps just warn. Also, when hit, it would help to report the name of the texture that was missing, perhaps even the weapon missing it if possible. I know the texture name is accessible at that point in 'ti'.

Additionally, we might want to see if this could be reported sooner, like on mission load, instead of waiting until the missile is fired.
Steps To ReproduceShould be able to reproduce by creating a weapon tbm for the rockeye and giving it a nonexistent missile trail file. Then fire up a mission with rockeyes and let 'em rip.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012589

chief1983 (administrator)

Fixed in commit r6927.
+Notes

-Issue History
Date Modified Username Field Change
2010-12-30 19:53 chief1983 New Issue
2011-01-04 10:56 chief1983 Steps to Reproduce Updated
2011-01-06 00:08 chief1983 Note Added: 0012589
2011-01-06 00:08 chief1983 Assigned To => chief1983
2011-01-06 00:08 chief1983 Status new => resolved
2011-01-06 00:08 chief1983 Resolution open => fixed
2011-01-06 00:08 chief1983 Fixed in Version => 3.6.13
+Issue History